Name:		xmms-itouch
Version:	0.1.2
Release:	%mkrel 10
Epoch:		0
Summary:	XMMS iTouch keyboard control plugin
License:	GPL
Group:		Sound
URL:		http://www.saunalahti.fi/~syrjala/xmms-itouch/
Source0:	http://www.saunalahti.fi/~syrjala/xmms-itouch/%{name}-%{version}.tar.bz2
Source1:	http://www.saunalahti.fi/~syrjala/xmms-itouch/%{name}.config
Requires:	xmms
BuildRequires:	xmms-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-release-root

%description
With this XMMS plugin you can take advantage of the multimedia (playback and
volume control) keys on your Logitech iTouch keyboard. When the plugin is
used you can use the keys regardless of the current input focus. The plugin
won't work if some other application (eg. xscreensaver) has grabbed the
keyboard.
	
%prep
%setup -q
%{__cp} -a %{SOURCE1} %{name}.config

%build
%{configure2_5x}
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}
%{__rm} %{buildroot}%{_libdir}/xmms/General/libitouch.la

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_datadir}/xmms/xmms-itouch.config
%attr(0755,root,root) %{_libdir}/xmms/General/libitouch.so


%changelog
* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:0.1.2-10mdv2009.0
+ Revision: 262563
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:0.1.2-9mdv2009.0
+ Revision: 257317
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 14 2007 Thierry Vignaud <tvignaud@mandriva.com> 0:0.1.2-7mdv2008.1
+ Revision: 119984
- rebuild b/c of missing package on ia32

* Sun Sep 09 2007 David Walluck <walluck@mandriva.org> 0:0.1.2-6mdv2008.0
+ Revision: 83239
- remove %%eval since the build system breaks on it
- move defines to %%build
- rebuild


* Mon Sep 04 2006 David Walluck <walluck@mandriva.org> 0:0.1.2-4mdv2007.0
- rebuild to fix release
- bunzip2 config

* Wed Mar 29 2006 David Walluck <walluck@mandriva.org> 0:0.1.2-3mdk
- birthday rebuild

* Fri Mar 25 2005 David Walluck <walluck@linux-mandrake.com> 0:0.1.2-2mdk
- rebuild
- update config
- add macros to Source0
- remove zero-length NEWS file
- fix summary-not-capitalized

* Thu Feb 12 2004 David Walluck <walluck@linux-mandrake.com> 0:0.1.2-1mdk
- release

